Subject: Re: BUG: soft lockup detected on CPU#0! (2.6.18.2 plus hacks)

From: Jarek Poplawski <[email-masked]>
Date: Wed, 3 Jan 2007 09:07:11 +0100

On Tue, Jan 02, 2007 at 03:35:39PM -0800, David Stevens wrote:
> I've looked at this a little too -- it'd be nice to know who holds
> the write lock.

If you mean mc_list_lock - probably nobody - it's
not initialized (so the timers) for this in_device
and rtnl mutex is preempted by irq.

Actually I wonder if lockdep isn't masking (or even
spoiling) something, so I'd try with:
"Lock debugging: ..." options off
(CONFIG_DEBUG_SPINLOCK = y
CONFIG_DEBUG_LOCK_ALLOC = n).

Jarek P. 

PS: because of unknown changes from those patches
this is guessing only.